This is the directory structure you must have to begin with:
-sources/
-|--packages
-\--scripts
+sources/packages
The "packages" directory must contain all the source code packages, with
the ".tar.bz2" extensions, as well as all the patches.
mkdir -p sources/packages
mv hvlinux sources/scripts
-To begin the installation, enter the "sources/scripts" directory. You
+To begin the installation, enter the "sources" directory. You
must first create a file called 'sysinfos' in this directory,
containing informations about your hardware, network settings and
installation type among other things.
-tar -tf $tarball | head -n1 --> pour extraire le nom du répertoire root
du package automatiquement...
+-Transférer /mnt/hvrepos directement dans /srv/www/htdocs/hugovil...
+
basename $(tar -tf mozilla-3.0.1.tar.bz2 | head -n1)
+-packages update: sauvegarder le fichier téléchargé sous un nom temporaire
+ et le copier si tout est OK.
-Dans le fichier packages-list, utiliser un array pour
définir le nom du module et l'hyperlien pour le télécharger:
-webalizer: needs gd-2.0.33
-install guitartex et lilypond automatiquement:
-
--lilypond:
+ lilypond:
-fontforge
-mftrace -> t1utils
-> autotrace
+-installer fonts Deja Vu
+
-installer modes emacs: php, html, css, etc.
-cur_dir: set automatically in install_package() (see cis-mailman)
--- /dev/null
+#!/bin/sh
+
+${INKSCAPE}: ${LIBBOOST} ${INTLTOOL}
+${LIBXML2}: ${PYTHON}
+${TETEX_SRC}: ${ED}
+${PHP}: ${CURL}
+
+# Audio utilities
+${AUDACITY}: ${LIBID3TAG} wxgtk
+# Rhythmbox-0.11.6 needs latest totem
+${RHYTHMBOX}: ${LIBID3TAG}
+# Easytag requiert id3lib pour les MP3
+${EASYTAG}: id3lib OR ${LIBID3TAG}
+${AUDACIOUS}: taglib, libmowgli, mcs
+${GRIP}: id3lib
+${PULSEAUDIO}: liboil, gdbm
+
+${GOFFICE}: ${LIBGSF} ${PCRE}
+${GNUMERIC}: ${GOFFICE}
+${ABIWORD}: ${WV} ${GOFFICE}
+${GIT}: cpio
+
+${GIMP}: ${BABL} ${INTTOOL} ${PYGTK}
# FAILURE prints text in a red colour
FAILURE="echo -en \\033[1;31m"
-
# Extracting the version number from a complete package name.
# Arg. #1: Complete package name with version (ex: gcc-3.4.4 will output 3.4.4)
get_pkg_ver()
echo ${1} | sed "s!^.*-\(.*\)!\1!g"
}
-
# Extracting the base version number from a complete package name.
# Arg. #1: Complete package name with version (ex: gcc-3.4.4 will output 3.4)
get_pkg_ver_base()
echo ${1} | sed "s!^.*-\([0-9]*\.[0-9]*\).*!\1!g"
}
-
# Extracting the base version number from a complete package name.
# Arg. #1: Complete package name with version (ex: gcc-3.4.4 will output 3)
get_pkg_ver_major()
echo ${1} | sed "s!^.*-\([0-9]*\)\..*!\1!g"
}
-
# Extracting the name from a complete package name.
# Arg. #1: Complete package name with version (ex: gcc-3.4.4 will output gcc)
get_pkg_name()
echo ${1} | sed "s!^\(.*\)-.*!\1!g"
}
-
# Saves the content of CFLAGS and CXXFLAGS environment variables.
save_flags()
{
return ${EXIT_SUCCESS}
}
-
# Saves the content of CFLAGS and CXXFLAGS environment variables, and then
# set them to empty strings.
save_flags_no_optimizations()
return ${EXIT_SUCCESS}
}
-
# Restores the previous values of CFLAGS and CXXFLAGS environment variables. These
# must have been saved first using save_flags().
restore_flags()
return ${EXIT_SUCCESS}
}
-
# Create log directory and log file for current stage if necessary
# This should be done automatically...
init_log_file()
fi
}
-
# Create symbolic links for start/stop scripts in /etc/rc.d
#
# Arg #1: script name
fi
}
-
# Create symbolic links for start/stop scripts in /etc/rc.d
#
# Arg #1: level
fi
}
-
# Create symbolic links for start/stop scripts in /etc/rc.d
#
# Arg #1: script name
static_bootscript_add ${*} 3
}
-
# Create symbolic links for start/stop scripts in /etc/rc.d
#
# Arg #1: script name
static_bootscript_add ${*} S
}
-
# Add "export" before the variable name
#
# Arg #1: variable name
sed -i "s!\(^${VARIABLE}=.*\)!export \1!" ${FILE}
}
-
# Adding a new environment variable to a file.
#
# Arg #1: variable name
return $?
}
-
# Adding a new path environment variable to a file.
#
# Arg #1: variable name
var_add ${1} ${2} "${3}" ":" 1>> ${LFS_LOG_FILE} 2>&1
}
-
# Adding a new string environment variable to a file.
#
# Arg #1: variable name
var_add ${1} ${2} "${3}" " "
}
-
# Adding a new string to a file.
#
# Arg #1: string
echo "${STRING}" >> ${FILE}
}
-
# Adding a new environment variable to a shadow password suite file (login.defs)
#
# Arg #1: variable name
sed -i "s!\(^${VARIABLE}.*\)!\1:${VALUE}!" ${FILE}
}
-
# Adding a new group, checking if it already exist before.
# Arguments: same arguments as for standard groupadd command.
hv_groupadd()
fi
}
-
# Evaluates the return value of the process that was run just before this
# function was called.
evaluate_retval()
fi
}
-
-
-
# Obtain the name of the base directory for the decompressed package.
# First argument: package name
static_decompressed_dirname()
echo ${DIRNAME}
}
-
# Applying any patch(es) found for the current package.
# Will work only if patches have the same base name as
# the package, followed by a dash:
return $?
}
-
# Applying patch
# First argument is the name of the patch
# Second argument is the package name
patch -Np1 -d ${LFS_TMP}/${PACKAGE} -i ${LFS_PKG_DIR}/${PATCH_FILE}
}
-
# Decompression of a package
# First argument: package name
# Second argument: directory where decompressing (optional)
cd - 1> /dev/null 2>&1
}
-
# Installation of a package, removing source and build directories after.
#
# First argument: package name
static_ipkg ${1} ${2} ${1}
}
-
# Installation of a package conforming to GNU autotools.
# The package must be able to be built outside the
# source directory.
static_ipkg ${PACKAGE} cis-ac ${PACKAGE} ${CONFIGURE_OPTS}
}
-
# Installation of a package conforming to GNU autotools,
# but that must be built inside the source directory.
#
static_ipkg ${PACKAGE} cis-ac-nobuild ${PACKAGE} ${CONFIGURE_OPTS}
}
-
# Installation of a GNOME package.
#
# First argument: package name
static_ipkg ${1} cis-gnome ${1}
}
-
# Installation of a PERL module
#
# First argument: package name
static_ipkg ${1} cis-pm ${1}
}
-
# Multiple installation of a package. This is usefull for packages
# that may need to be installed multiple times, at different
# times of the build process, like for GCC pas 1 and GCC pass 2.
static_ipkg ${1} ${2} ${3}
}
-
# Installation of a package
#
# First argument: Real package name
return $EXIT_SUCCESS
}
-
# Display the action name, run a command, log its output and display it's
# status
# First argument: action name (string)
return $EXIT_SUCCESS
}
-
# Display the action name, run a command, log its output and display it's
# status and the time it took to execute.
# Note: In case of errors, this function returns an error code instead
fi
}
-
# Display the action name, run a command, log its output and display it's
# status. Write to install log file when successfully completed so it
# won't be called again after a successfull installation.
return $EXIT_SUCCESS
}
-
# Display the action name, run a command, log its output and display it's
# status. Write to install log file when successfully completed so it
# won't be called again after a successfull installation.
return $EXIT_SUCCESS
}
-
get_total_build_time()
{
INFILE=${1}
echo "${HOURS}.${MIN}"
}
-
display_build_time()
{
END_TIME=$(echo `date +%s`)
echo "h" 1>> ${LFS_LOG_FILE}
}
-
# The print_status prints a coloured "X" letter inside the checkbox to the left
# of the screen (the checkbox is displayed with the action_checkbox function).
print_status()
$NORMAL
}
-
# Testing GCC toolchain
gcc_toolchain_test_stage1()
{
#!/bin/sh
-LFS_PKG_BASE="$(dirname $(dirname $(pwd)))/packages"
+LFS_PKG_BASE="$(dirname $(pwd))/packages"
LFS_PKG_DIR="${LFS_PKG_BASE}/${LFS_STAGE}"
LFS_LOG_DIR="${LFS}/var/log/hvlinux-install/${LFS_STAGE}"
LFS_LOG_FILE="${LFS_LOG_DIR}/pkg-update.log"
BLFS_PATCHES_LIST=${LFS_PKG_DIR}/patches-list-blfs.html
HV_PATCHES_LIST=${LFS_PKG_DIR}/patches-list-hv.html
-
# Arg. #1: URL for patches repository.
# Arg. #2: Destination filename.
-static_fetch_patches_list() {
+static_fetch_patches_list()
+{
PATCHES_URL=${1}
PATCHES_LIST_FILENAME=${2}
mv ${LFS_PKG_DIR}/index.html ${PATCHES_LIST_FILENAME}
}
-
# Arg. #1: URL for patches repository. The trailing
# slash is absolutely necessary for this to work.
-update_packages_init() {
+update_packages_init()
+{
# First create log directory if it does not exists.
if [ ! -d ${LFS_LOG_DIR} ]; then
install -m755 -d ${LFS_LOG_DIR} || exit 1
action_checkbox "Fetching hugovil.com patches list" static_fetch_patches_list ${HV_PATCHES_URL} ${HV_PATCHES_LIST}
}
-
# Get patch package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: Patches list file (HTML)
# Arg. #3: Patches URL
-static_checkpatch() {
+static_checkpatch()
+{
local PACK=${1}
local PATCHES_LIST=${2}
local PATCHES_URL=${3}
fi
}
-
# Get patch package if it is not in the repository
# Arg. #1: Package name and version
-static_getpatch() {
+static_getpatch()
+{
PACK=${1}
# Checking for correct number of arguments
static_checkpatch ${PACK} ${HV_PATCHES_LIST} ${HV_PATCHES_URL}
}
-
# Convert multiple compressed gzip files to bzip2.
# Usage: gztobz2 [FILES]
gztobz2()
done
}
-
detect_file_not_found()
{
# HTTP: will return error code 404.
fi
}
-
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: URL
-static_getpkg() {
+static_getpkg()
+{
PACK=${1}
URL=${2}
return 1
}
-
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: URL
-fpkg() {
+fpkg()
+{
PACK=${1}
URL=${2}
static_getpatch ${PACK}
}
-
# Get package if it is not in the repository.
# This function is used if the source and target names for the
# package are different (name mismatch).
# Arg. #1: Target package name and version (on disk)
# Arg. #2: Source package name and version (on internet)
# Arg. #3: URL
-fpkg_mis() {
+fpkg_mis()
+{
TARGET=${1}
SOURCE=${2}
URL=${3}
fi
}
-
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: Directory name (optional)
-fpkg_gnu() {
+fpkg_gnu()
+{
PACK=${1}
if [ $# -eq 2 ]; then
fpkg ${PACK} "${GNU_URL}/${NAME}"
}
-
# Fetch Gnome package (if it is not in the repository).
# Arg. #1: Package name and version
# Arg. #2: Directory name (optional)
-fpkg_gnome() {
+fpkg_gnome()
+{
PACK=${1}
if [ $# -eq 2 ]; then
fpkg ${PACK} "${GNOME_URL}/${NAME}/$(get_pkg_ver_base ${PACK})"
}
-
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: Directory name (optional)
-fpkg_sf() {
+fpkg_sf()
+{
PACK=${1}
if [ $# -eq 2 ]; then
fpkg ${PACK} ${SOURCEFORGE_URL}/${NAME}
}
-
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: Directory name (optional)
-fpkg_hv() {
+fpkg_hv()
+{
PACK=${1}
# Checking for correct number of arguments
fi
}
-
# Get package if it is not in the repository
# Arg. #1: Package name and version
# Arg. #2: Directory name (optional)
-fpkg_lfs() {
+fpkg_lfs()
+{
PACK=${1}
# Checking for correct number of arguments
fi
}
-
# Create a symbolic link to a package that is located in another stage
# repository (to not have the same file twice).
# Arg. #1: Source stage number (1, 2, 3, etc)
# Arg. #2: Package name
-lpkg() {
+lpkg()
+{
SRCSTAGE="stage${1}"
FILE="${2}.tar.bz2"
PACKAGE_NAME="${2}"
AVR_GDB="gdb-6.4"
AVRDUDE="avrdude-5.1"
ATK="atk-1.18.0"
-AUDACIOUS="audacious-1.5.1"
-AUDACIOUS_PLUGINS="audacious-plugins-1.5.1"
-AUDACITY="audacity-src-1.3.5"
AUDIOFILE="audiofile-0.2.6"
-AUTOCONF="autoconf-2.61"
+AUTOCONF="autoconf-2.63"
AUTOMAKE="automake-1.10.1"
+BABL="babl-0.0.22"
BASH="bash-3.2"
BC="bc-1.06"
BISON="bison-2.3"
CAIROMM="cairomm-1.6.0"
CDRTOOLS="cdrtools-2.01"
CDRDAO="cdrdao-1.2.2"
+CKERMIT="ckermit-8.0.211"
CLAMAV="clamav-0.93.3"
-COREUTILS="coreutils-6.9"
+COREUTILS="coreutils-6.10"
+CPIO="cpio-2.9"
CUPS="cups-1.1.23"
CURL="curl-7.15.3"
CVS_PACKAGE="cvs-1.11.18"
# Required by Gnome
DESKTOP_FILE_UTILS="desktop-file-utils-0.13"
DHCP="dhcp-3.0.5"
-DIFFUTILS="diffutils-2.8.1"
+DIFFUTILS="diffutils-2.8.7"
DVDRWTOOLS="dvd+rw-tools-7.1"
SGML_COMMON="sgml-common-0.6.3"
DOCBOOK_XML="docbook-xml-${DOCBOOK_XML_VER}"
DOCBOOK_XSL_VER="1.68.1"
DOCBOOK_XSL="docbook-xsl-${DOCBOOK_XSL_VER}"
+DOSFSTOOLS="dosfstools-3.0.1"
+
E2FSPROGS="e2fsprogs-1.40.2"
+EASYTAG="easytag-2.1"
ED="ed-0.8"
-EMACS="emacs-22.1"
+EMACS="emacs-22.3"
ESOUND="esound-0.2.37"
EXPAT="expat-2.0.0"
LIBFAAD2="faad2-2.6.1"
LIBFAAC="faac-1.26"
FCRON="fcron-3.0.0"
-FFMPEG="ffmpeg-9958"
-FILE_PKG="file-4.23"
-FINDUTILS="findutils-4.2.31"
+##FFMPEG="ffmpeg-17742"
+FFMPEG="ffmpeg-0.5"
+FILE_PKG="file-4.26"
+FINDUTILS="findutils-4.2.32"
FIREFOX="firefox-3.0.1"
FLAC="flac-1.2.1"
-FLASH_PLUGIN="flash-player-9.0.48.0"
+#####FLASH_PLUGIN="flash-player-9.0.48.0"
FLEX="flex-2.5.33"
FONTCONFIG="fontconfig-2.4.2"
-FOX="fox-1.6.30"
FREETYPE="freetype-2.3.4"
FRIBIDI="fribidi-0.10.7"
-GAWK="gawk-3.1.5"
+GAWK="gawk-3.1.6"
GC="gc6.5"
-GCC_CORE="gcc-4.2.3"
+GCC_CORE="gcc-4.3.2"
GCC_SPECS_PATCH="${GCC_CORE}-specs-1.patch"
-ARM_GCC_CORE="gcc-4.2.3"
-AVR_GCC_CORE="gcc-4.2.3"
+ARM_GCC_CORE="gcc-4.3.2"
+AVR_GCC_CORE="gcc-4.3.2"
GDB="gdb-6.4"
+GDBM="gdbm-1.8.3"
GIT="git-1.5.5"
GIT_MANPAGES="git-manpages-1.5.5"
LIBGEDA="libgeda-1.2.0"
GEDA_GNETLIST="geda-gnetlist-1.2.0"
GEDA_SYMCHECK="geda-gsymcheck-1.2.0"
GEDA_GATTRIB="geda-gattrib-1.2.0"
+GEGL="gegl-0.0.22"
GETDATE="getdate_rfc868-1.2"
-GETTEXT="gettext-0.16.1"
+GETTEXT="gettext-0.17"
ESPGS="espgs-8.15.2"
GHOSTSCRIPT_FONTS_STD="ghostscript-fonts-std-8.11"
GHOSTSCRIPT_FONTS_OTHER="ghostscript-fonts-other-6.0"
-GIMP="gimp-2.2.12"
-GLIB2="glib-2.16.3"
-GTK2="gtk+-2.12.9"
+GIMP="gimp-2.6.6"
+GUTENPRINT="gutenprint-5.2.3"
+GLIB2="glib-2.18.4"
+GTK2="gtk+-2.14.7"
GTK_ENGINES="gtk-engines-2.10.2"
GLIBC="glibc-2.7"
AVR_LIBC="avr-libc-1.4.5"
ICON_NAMING_UTILS="icon-naming-utils-0.8.6"
GNOME_ICON_THEME="gnome-icon-theme-2.18.0"
LIBGNOMEUI="libgnomeui-2.18.1"
-GAIL="gail-1.18.0"
+LIBGAIL_GNOME="libgail-gnome-1.18.0"
# Desktop
GNOME_THEMES="gnome-themes-2.18.1"
# GNOME2 Additional Packages - Utilities
GEDIT="gedit-2.18.2"
EOG="eog-2.18.2"
-EVINCE="evince-2.22.2"
+EVINCE="evince-2.24.1"
FILE_ROLLER="file-roller-2.18.4"
GCONF_EDITOR="gconf-editor-2.18.0"
GNOME_UTILS="gnome-utils-2.18.1"
GDM="gdm-2.18.3"
GNOME_MOUNT="gnome-mount-0.6"
-LIBSOUP="libsoup-2.2.96"
+LIBSOUP="libsoup-2.2.100"
GGV="ggv-2.8.4"
LIBWNCK="libwnck-2.16.1"
STARTUP_NOTIFICATION="startup-notification-0.8"
GOFFICE="goffice-0.2.2"
GNUMERIC="gnumeric-1.6.3"
-GREP="grep-2.5.1a"
+GREP="grep-2.5.3"
GRIP="grip-3.3.1"
GROFF="groff-1.18.1.4"
GRUB="grub-0.97"
GSL="gsl-1.11"
-GSTREAMER="gstreamer-0.10.17"
-GST_PLUGINS_BASE="gst-plugins-base-0.10.17"
-GST_PLUGINS_GOOD="gst-plugins-good-0.10.7"
-GST_PLUGINS_UGLY="gst-plugins-ugly-0.10.7"
-GST_FFMPEG="gst-ffmpeg-0.10.3"
+GSTREAMER="gstreamer-0.10.20"
+GST_PLUGINS_BASE="gst-plugins-base-0.10.20"
+GST_PLUGINS_GOOD="gst-plugins-good-0.10.10"
+GST_PLUGINS_BAD="gst-plugins-bad-0.10.8"
+GST_PLUGINS_UGLY="gst-plugins-ugly-0.10.10"
+GST_FFMPEG="gst-ffmpeg-0.10.6"
GTK_DOC="gtk-doc-1.4"
GLIBMM="glibmm-2.16.2"
GTKMM="gtkmm-2.12.7"
-GMP="gmp-4.2.2"
+GMP="gmp-4.2.3"
GUILE="guile-1.8.2"
GZIP="gzip-1.3.12"
HAL="hal-0.5.9.1"
+HELP2MAN="help2man-1.36.4"
HICOLOR_ICON_THEME="hicolor-icon-theme-0.10"
HTTPD="httpd-2.2.8" # Apache
HVCLOCK="hvclock-0.2.0"
IMLIB="imlib-1.9.14"
IANA="iana-etc-2.20"
-IMAGE_MAGICK="ImageMagick-6.4.2-5"
+IMAGE_MAGICK="ImageMagick-6.5.0-8"
INETUTILS="inetutils-1.5"
INKSCAPE="inkscape-r19727"
-INTLTOOL="intltool-0.34.2"
+INTLTOOL="intltool-0.40.6"
IPROUTE2="iproute2-2.6.20-070313"
IPTABLES="iptables-1.3.7"
ISO_CODES="iso-codes-1.2"
KBD="kbd-1.12"
KERBEROS5="krb5-1.4.1"
-KERNEL="linux-2.6.26.2"
-KVM="kvm-72"
+KERNEL="linux-2.6.28.3"
+KVM="kvm-84"
LAME="lame-3.97"
LCMS="lcms-1.15"
LIBA52="a52dec-0.7.4"
LIBART="libart_lgpl-2.3.17"
LIBBOOST="boost_1_35_0"
+LIBDVDCSS="libdvdcss-1.2.10"
+LIBDVDREAD="libdvdread-0.9.7"
+LIBGAMIN="gamin-0.1.9"
LIBGLADE="libglade-2.6.0"
LIBIDL="libIDL-0.8.6"
-LIBMOWGLI="libmowgli-0.5.0"
LIBPCAP="libpcap-0.9.4"
-LIBTOOL="libtool-1.5.24"
+LIBTOOL="libtool-2.2.6a"
LIBSIGCPP="libsigc++-2.0.17"
LIBOGG="libogg-1.1.3"
LIBVORBIS="libvorbis-1.2.0"
LIBUSB="libusb-0.1.10a"
LIBGPHOTO2="libgphoto2-2.1.99"
LIBXKLAVIER="libxklavier-2.91"
-LIBOIL="liboil-0.3.9"
+LIBOIL="liboil-0.3.15"
LIBSAMPLERATE="libsamplerate-0.1.2"
LIBSPF2="libspf2-1.2.5"
LIBNOTIFY="libnotify-0.4.4"
MAKE_PACKAGE="make-3.81"
MAN="man-1.6b"
MANPAGES="man-pages-3.07"
-LIBMCS="libmcs-0.7.1"
METACITY="metacity-2.18.5"
-MFOUR="m4-1.4.10"
+MFOUR="m4-1.4.11"
MILTER_GREYLIST="milter-greylist-4.0"
MILTER_SPF="smf-spf-2.0.1"
-MINICOM="minicom-2.1"
+#####MINICOM="minicom-2.1"
MKTEMP="mktemp-1.5"
MODULE_INIT_TOOLS="module-init-tools-3.2.2"
-MPLAYER="MPlayer-1.0rc1"
-MPLAYER_CODECS="mplayer-codecs-all-20061022"
+MPFR="mpfr-2.3.1"
MYSQL="mysql-5.0.22"
NANO="nano-2.0.1"
NEON="neon-0.25.5"
NET_TOOLS="net-tools-1.60"
NEWLIB="newlib-1.16.0"
-NFS_UTILS="nfs-utils-1.0.10"
+NFS_UTILS="nfs-utils-1.1.5"
NMAP="nmap-4.03"
NSS="nss-3.12-with-nspr-4.7"
OPERA_LANG_FR="ouw900_fr-CA.lng"
PAM="Linux-PAM-0.99.7.1"
-PANGO="pango-1.18.4"
+PANGO="pango-1.20.5"
PARTED="parted-1.8.1"
-PATCH_PACKAGE="patch-2.5.4"
+PATCH_PACKAGE="patch-2.5.9"
PCIUTILS="pciutils-2.2.4"
+PCMANFM="pcmanfm-0.5"
PCRE="pcre-7.2"
PERL="perl-5.8.8"
PERL_MOD_PDL="PDL-2.4.2"
PERL_MOD_COMPRESS_RAW_ZLIB="Compress-Raw-Zlib-2.004"
PERL_MOD_NET_DNS="Net-DNS-0.61"
-PHP="php-5.1.4"
+PHP="php-5.2.6"
PIXMAN="pixman-0.10.0"
PKG_CONFIG="pkg-config-0.22"
POPPLER="poppler-0.8.5"
PROCMAIL="procmail-3.22"
PROCPS="procps-3.2.7"
PSMISC="psmisc-22.5"
-PSTOEDIT="pstoedit-3.42"
-PULSEAUDIO="pulseaudio-0.9.10"
-PYTHON="Python-2.4.2"
-PYGTK="pygtk-2.8.4"
+PULSEAUDIO="pulseaudio-0.9.12"
+PYTHON="Python-2.5.2"
+PYGOBJECT="pygobject-2.16.1"
+PYGTK="pygtk-2.14.1"
QT="qt-x11-free-3.3.5"
READLINE="readline-5.2"
REISERFSPROGS="reiserfsprogs-3.6.20"
+RHYTHMBOX="rhythmbox-0.10.1"
SAMBA="samba-3.0.21c"
SANE_BACKENDS="sane-backends-1.0.18"
SHADOW="shadow-4.0.18.1"
SHARED_MIME_INFO="shared-mime-info-0.23"
SPAMASSASSIN="Mail-SpamAssassin-3.2.3"
+SPEEX="speex-1.2rc1"
SPLINT="splint-3.1.1"
+SQLITE="sqlite-3.6.7"
SQUIRRELMAIL="squirrelmail-1.5.1"
STRACE="strace-4.5.15"
SUBVERSION="subversion-1.4.6"
SUDO="sudo-1.6.8p12"
-SYLPHEED="sylpheed-2.5.0"
+SWEEP="sweep-svn-r586"
+SYLPHEED="sylpheed-2.6.0"
SYSKLOGD="sysklogd-1.5"
SYSVINIT="sysvinit-2.86"
T1LIB="t1lib-5.1.2"
-TAGLIB="taglib-1.4"
TANGO_ICON_THEME="tango-icon-theme-0.8.1"
TANGO_ICON_THEME_EXTRAS="tango-icon-theme-extras-0.1.0"
-TAR_PACKAGE="tar-1.19"
+TAR_PACKAGE="tar-1.20"
TCPDUMP="tcpdump-3.9.4"
TCL="tcl8.4.11"
TK="tk8.4.11"
TETEX_TEXMFSRC="tetex-texmfsrc-3.0"
TETEX_CM_SUPER="tetex-cm-super"
TEXINFO="texinfo-4.9"
+TRANSMISSION="transmission-1.34"
UDEV="udev-113"
UDEV_CONFIG="udev-config-20080217"
WINDOWMAKER_EXTRA="WindowMaker-extra-0.1"
WMNOTIFY="wmnotify-0.3.2"
WV="wv-1.2.4"
-WXGTK="wxGTK-2.8.7"
+####WXGTK="wxGTK-2.8.7"
-XFE="xfe-1.04"
XFREE86="XFree86-4.6.0"
-XINELIB="xine-lib-1.1.7"
-GXINE="gxine-0.5.11"
XMLTOMAN="xmltoman-0.4"
XVIDCORE="xvidcore-1.1.0"
export CFLAGS="-pipe -march=${MACHINE_ARCHITECTURE} -O2"
export CXXFLAGS=${CFLAGS}
+ipkg_ac ${GMP} "--enable-cxx --enable-mpbsd ABI=32"
+ipkg_ac ${MPFR} "--enable-shared"
+
ipkg_mult ${BINUTILS} cis-binutils-pass1 "${BINUTILS}-pass1"
ipkg_mult ${GCC_CORE} cis-gcc-pass1 "${GCC_CORE}-pass1"
ipkg ${KERNEL} cis-linux-api-headers
fpkg_gnu ${GZIP}
fpkg_gnu ${MAKE_PACKAGE}
fpkg_gnu ${PATCH_PACKAGE}
-fpkg ${PERL} http://ftp.funet.fi/pub/CPAN/src
fpkg_gnu ${SED}
fpkg_gnu ${TAR_PACKAGE}
fpkg_gnu ${TEXINFO}
source ../functions
source ../packages-list
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage1"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage1"
export LFS_LOG_DIR=${LFS}/var/log/hvlinux-install/stage1
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP="${LFS}/tmp"
if [ ! -d ${dir} ]; then
install -dv ${dir} || exit 1
fi
- chmod 777 ${dir} || exit 1
+ chown lfs:lfs ${dir} || exit 1
done
# Creating a link from the host root directory to LFS tools directory
# Load global network parameters
source /etc/sysconfig/network/network-parameters
-if [ -z ${DHCP_SERVER_IF} ]; then
+if [ -z "${DHCP_SERVER_IF}" ]; then
# DHCP server is not enabled
msg_log "DHCP server disabled in '/etc/sysconfig/network/network-parameters'"
exit ${EXIT_CODE_WARNING}
# Timezone
export TZ="America/Montreal"
-INIT_LOG_PATH="/tmp/log-init"
+INIT_LOG_PATH="/var/log/log-init"
INIT_LOG_FILE="$INIT_LOG_PATH/init.log"
# The print_status prints a coloured "X" letter inside the checkbox to the left
# Find the basename of the first parameter (the daemon's name without the
# path that was provided so /usr/sbin/syslogd becomes plain 'syslogd' after
# basename ran).
- base=$(/usr/bin/basename ${1})
+ base=$(basename ${1})
# the pidlist variable will contain the output of the pidof command. pidof
# will try to find the PID's that belong to a certain string; $base in
# Find the basename of the first parameter (the daemon's name without the
# path).
- base=$(/usr/bin/basename ${1})
+ base=$(basename ${1})
piddir=${2}
# Find the basename of the first parameter (the daemon's name without
# the path that was provided so /usr/sbin/syslogd becomes plain 'syslogd'
# after basename ran).
- base=$(/usr/bin/basename ${1})
+ base=$(basename ${1})
# Check if we gave a signal to send to the process (like -HUP) to this
# function (the second parameter). If no second parameter was provided set
# Find the basename of the first parameter (the daemon's name without the
# path).
- base=$(/usr/bin/basename ${1})
+ base=$(basename ${1})
piddir=${2}
boot_failure "Missing ${INIT_LOG_PATH} directory."
fi
- mount -n -t tmpfs -o size=100k,nr_inodes=10,mode=0755 tmpfs ${INIT_LOG_PATH} &&
+ mount -n -t tmpfs -o size=256k,nr_inodes=10,mode=0755 tmpfs ${INIT_LOG_PATH} &&
touch ${INIT_LOG_FILE}
;;
log_script_name "$0 $*"
+SYSLOGD_OPTS="-r"
+KLOGD_OPTS="-k /boot/System-$(uname -r).map"
+
case "$1" in
start)
- cmd_run_log_box_warn "Starting system log daemon" loadproc syslogd
- cmd_run_log_box_warn "Starting kernel log daemon" loadproc klogd
+ cmd_run_log_box_warn "Starting system log daemon" loadproc syslogd ${SYSLOGD_OPTS}
+ cmd_run_log_box_warn "Starting kernel log daemon" loadproc klogd ${KLOGD_OPTS}
;;
stop)
shift
CONFIGURE_OPTS=${*}
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
# Applying patches (if any)
apply_patches ${PACKAGE} &&
# Applying patches (if any)
apply_patches ${1} &&
+#--enable-no-install-program=kill,uptime
+# The purpose of this switch is to prevent Coreutils from installing binaries that will be installed by other packages later.
cd ${LFS_TMP}/${1}-build &&
../${1}/configure \
- --prefix=/usr &&
+ --prefix=/usr \
+ --enable-install-program=hostname \
+ --enable-no-install-program=kill,uptime &&
make -j ${MAKEJOBS} &&
make install &&
make -C src install &&
# Configuring Sysvinit
-cat > /etc/inittab << "EOF"
+cat > /etc/inittab << "EOF" &&
# /etc/inittab
#
# SysVinit
x:5:respawn:/usr/X11R6/bin/xdm -nodaemon
EOF
+if [ "x${INST_TYPE}" = "xworkstation" ]; then
+ chmod u+s /sbin/halt || exit 1
+fi
+
# Return last error
exit $?
LOGFILES_GLOBAL="auth.log clamd.log freshclam.log cron.log daemon.log kern.log mail.log procmail.log scrollkeeper.log sys.log user.log xdm.log XFree86.0.log"
LOGDIR_APACHE=/var/log/apache
-LOGFILES_APACHE="access_log error_log ssl_request_log"
+LOGFILES_APACHE="access_log error_log ssl_request_log access_log_hugovil access_log_quebecjazz access_log_atelierdestourelles"
LOGDIR_CUPS=/var/log/cups
LOGFILES_CUPS="access_log error_log"
exit 1
fi
-DIR=${1}
+DIR=${1%/}
# Checking if directory exists.
if [ ! -d ${DIR} ]; then
source ../functions
source ../packages-list
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage2"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage2"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage2
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP="/tmp"
source ../functions
source ../packages-list
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage2"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage2"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage2
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP="/tmp"
lpkg 1 ${GZIP}
lpkg 1 ${MAKE_PACKAGE}
lpkg 1 ${PATCH_PACKAGE}
-lpkg 1 ${PERL}
lpkg 1 ${SED}
lpkg 1 ${TAR_PACKAGE}
lpkg 1 ${TEXINFO}
lpkg 1 ${UTIL_LINUX}
# These packages are only for stage2
+fpkg ${PERL} http://ftp.funet.fi/pub/CPAN/src
fpkg ${MANPAGES} http://www.kernel.org/pub/linux/docs/manpages
fpkg ${DB4} http://download.oracle.com/berkeley-db
fpkg_sf ${E2FSPROGS}
# System configuration informations (entered by the user)
source ../sysinfos
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage2"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage2"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage2
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP="/tmp"
touch ${LFS_LOG_FILE} || exit 1
fi
-ipkg_ac ${AUTOMAKE}
-run_script_log "Installing HV-utilities" cis-hv-utilities
+ipkg_ac ${LIBTOOL}
# Return last error
exit $?
TODO
+Sendmail local: pas de DNS blocklist checking
+
Installer websvn
Créer template de apsswd file pour svn (/etc/apache/security/svn/passwd)
Utiliser l'usager svn au lieu de apache pour svn
case $1 in
start)
- cmd_run_log_box_warn "bind start" loadproc /usr/sbin/named -u named -t /home/named -c /etc/named.conf &&
+ cmd_run_log_box_warn "named start" loadproc /usr/sbin/named -u named -t /home/named -c /etc/named.conf &&
init_resolver
;;
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE} &&
+make linux &&
+make prefix=/usr install &&
+
+cat > /etc/skel/.kermrc << "EOF"
+set line /dev/ttyUSB0
+set speed 115200
+set carrier-watch off
+set handshake none
+set flow-control none
+robust
+set file type bin
+set file name lit
+set rec pack 1000
+set send pack 1000
+set window 5
+xecho \27[32m\27[40m
+EOF
+
+# Return last error
+exit $?
# Applying patches (if any)
apply_patches ${1} &&
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations &&
-
olddir=$(pwd) &&
cd ${LFS_TMP}/${1}-build &&
make install &&
ldconfig &&
-# Restore original CFLAGS and CXXFLAGS values.
-restore_flags &&
-
cat > /etc/skel/.emacs << "EOF" &&
;; ~/.emacs
(setq compilation-scroll-output t)
EOF
-# This is to remove a warning in WindowMaker when emacs is started.
-cp ${olddir}/resources/ColorGNU.xpm /usr/share/pixmaps &&
-chmod 644 /usr/share/pixmaps/ColorGNU.xpm
-
# Return last error
exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Temporary: custom script needed to regenerate configure with
-# patch that modifies configure.in...
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --with-xft \
- --enable-release &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=/opt/${1} \
- --enable-shared \
- --enable-threads=posix \
- --enable-languages=c,c++ &&
-make bootstrap &&
-make install &&
-
-# Addition to /etc/ld.so.conf
-string_add "/opt/${1}/lib" /etc/ld.so.conf &&
-ldconfig &&
-
-chown -v -R root:root \
- /opt/${1}/lib/gcc/i686-pc-linux-gnu/$(get_pkg_ver ${1})/include &&
-
-# Restore original CFLAGS and CXXFLAGS values.
-restore_flags
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# gsview uses netscape to browse through the online help. So simply edit srcunx/gvxreg.c
-# using the following sed script to use another browser:
-# Not GNU package
-cd ${LFS_TMP}/${1} &&
-mv srcunx/gvxreg.c srcunx/gvxreg.old &&
-cat srcunx/gvxreg.old | sed s/netscape/mozilla/ > srcunx/gvxreg.c &&
-sed 's|GSVIEW_ROOT=/usr/local|GSVIEW_ROOT=/usr|' srcunx/unx.mak > Makefile &&
-make &&
-make install
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Saves CFLAGS and CXXFLAGS, and clears them.
-save_flags_no_optimizations
-
-CFLAGS="-pipe -O2 -fomit-frame-pointer -march=athlon-xp"
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-CODECS_PATH=/usr/lib/mplayer/codecs
-SKIN_PATH=/usr/share/mplayer/Skin
-
-# First, install skins
-install -v -d -m755 ${SKIN_PATH} &&
-cp -v -a ${LFS_TMP}/${1}/Skin/* ${SKIN_PATH} &&
-chown -v -R root:root ${SKIN_PATH} &&
-chmod -v 755 ${SKIN_PATH}/Blue{,/icons} &&
-ln -sfv Blue ${SKIN_PATH}/default &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=/usr \
- --confdir=/etc/mplayer \
- --enable-largefiles \
- --enable-dynamic-plugins \
- --enable-gui \
- --with-codecsdir=${CODECS_PATH} &&
-make &&
-make install &&
-install -v -m755 -d /usr/share/doc/${1} &&
-cp -v -R DOCS/* /usr/share/doc/${1} &&
-
-install -m644 etc/codecs.conf /etc/mplayer &&
-install -m644 etc/*.conf /etc/mplayer &&
-
-# MPlayer requires that the RTC run at a frequency of 1024 Hz.
-# Make this setting change at boot-time by adding a line to /etc/sysctl.conf:
-if [ ! -f /etc/sysctl.conf ]; then
- touch /etc/sysctl.conf || exit 1
-fi &&
-
-string_add "dev.rtc.max-user-freq=1024" /etc/sysctl.conf &&
-
-ldconfig &&
-
-# Restore original CFLAGS and CXXFLAGS values.
-restore_flags
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-CODECS_PATH=/usr/lib/mplayer/codecs
-
-install -v -d -m755 ${CODECS_PATH} &&
-install -v -m644 ${LFS_TMP}/${1}/* ${CODECS_PATH}
-
-# Return last error
-exit $?
# Build directory doesn't work:
# gcc: Zend/zend_language_scanner.c: No such file or directory
-
-# --enable-memory-limit : only for php lower than php-5.2...
-
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--with-gd \
--with-freetype-dir=/usr \
--with-t1lib \
- --enable-memory-limit \
--enable-gd-native-ttf \
--enable-calendar \
--enable-dba \
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-# Temporary: custom script needed to regenerate configure with
-# patch that modifies configure.in...
-cd ${LFS_TMP}/${1} &&
-./autogen.sh &&
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
fpkg_mis ${UNZIP} "unzip552" "ftp://ftp.info-zip.org/pub/infozip/src"
fpkg_mis ${ZIP} "zip232" "ftp://ftp.info-zip.org/pub/infozip/src"
+fpkg_gnu ${CPIO}
fpkg ${CVS_PACKAGE} "ftp://ftp.gnu.org/non-gnu/cvs/source/stable/$(get_pkg_ver ${CVS_PACKAGE})"
fpkg_gnu ${PARTED}
fpkg_hv ${LIBJPEG}
fpkg_gnome ${ATK}
fpkg_gnome ${GTK2}
fpkg_gnome ${GTK_ENGINES}
-
+fpkg_gnome ${PYGOBJECT}
fpkg_gnome ${PYGTK}
fpkg_gnome ${LIBSIGCPP}
fpkg_sf ${LIBUSB}
fpkg_sf ${LIBGPHOTO2} "gphoto"
+fpkg ${BABL} "ftp://ftp.gtk.org/pub/babl/$(get_pkg_ver_base ${BABL})"
+fpkg ${GEGL} "ftp://ftp.gimp.org/pub/gegl/$(get_pkg_ver_base ${BABL})"
fpkg ${GIMP} "ftp://ftp.gimp.org/pub/gimp/v$(get_pkg_ver_base ${GIMP})"
+fpkg_sf ${GUTENPRINT}
fpkg_hv ${INKSCAPE}
-fpkg ${FOX} "http://www.fox-toolkit.org/ftp"
-fpkg_sf ${XFE}
-
fpkg_gnu ${BC}
fpkg ${CDRTOOLS} "ftp://ftp.berlios.de/pub/cdrecord"
fpkg ${DVDRWTOOLS} "http://fy.chalmers.se/~appro/linux/DVD+RW/tools"
# For re-generating fontconfig documentation.
fpkg_sf ${JADETEX}
-fpkg_sf ${PSTOEDIT}
fpkg ${POPPLER} "http://poppler.freedesktop.org"
fpkg ${SANE_BACKENDS} "ftp://ftp.sane-project.org/pub/sane/${SANE_BACKENDS}"
fpkg ${LIBSAMPLERATE} "http://www.mega-nerd.com/SRC"
fpkg ${LIBOIL} "http://liboil.freedesktop.org/download"
+fpkg_gnu ${GDBM}
+fpkg ${SPEEX} "http://downloads.xiph.org/releases/speex"
fpkg ${PULSEAUDIO} "http://0pointer.de/lennart/projects/pulseaudio"
# Temporaire, version beta
fpkg ${LIBOGG} "http://downloads.xiph.org/releases/ogg"
fpkg ${LIBVORBIS} "http://downloads.xiph.org/releases/vorbis"
fpkg_hv ${FLAC}
-fpkg_hv ${FFMPEG}
+fpkg ${FFMPEG} "http://ffmpeg.org/releases"
+fpkg ${XVIDCORE} "http://downloads.xvid.org/downloads"
# Audio utilities
fpkg_sf ${LAME}
fpkg ${LIBMAD} "ftp://ftp.mars.org/pub/mpeg"
fpkg_hv ${LIBFAAC}
fpkg_hv ${LIBFAAD2}
-
-# taglib, libmowgli and mcs are required by audacious
-fpkg ${TAGLIB} "http://developer.kde.org/~wheeler/files/src"
-fpkg ${LIBMOWGLI} "http://distfiles.atheme.org"
-fpkg ${LIBMCS} "http://distfiles.atheme.org"
-fpkg ${AUDACIOUS} "http://distfiles.atheme.org"
-fpkg ${AUDACIOUS_PLUGINS} "http://distfiles.atheme.org"
fpkg_sf ${GRIP}
fpkg_sf ${CDRDAO}
fpkg_hv ${PORTAUDIO}
-fpkg_sf ${WXGTK} "wxwindows"
-
-fpkg_hv ${AUDACITY}
+##fpkg_sf ${WXGTK} "wxwindows"
+#fpkg_hv ${AUDACITY}
+fpkg_hv ${SWEEP}
fpkg ${SYLPHEED} "http://sylpheed.good-day.net/sylpheed/v$(get_pkg_ver_base ${SYLPHEED})"
fpkg ${QT} "http://ftp.silug.org/mirrors/ftp.trolltech.com/qt/source"
fpkg_hv ${FIREFOX}
fpkg_hv ${JAVA}
-fpkg_hv ${FLASH_PLUGIN}
-
-fpkg ${XVIDCORE} "http://downloads.xvid.org/downloads"
-fpkg_sf ${XINELIB} "xine"
-fpkg_sf ${GXINE} "xine"
-fpkg_hv ${MPLAYER_CODECS}
-fpkg_hv ${MPLAYER}
-
-fpkg_hv ${MINICOM}
fpkg ${DBUS} "http://dbus.freedesktop.org/releases/dbus"
fpkg ${DBUS_GLIB} "http://dbus.freedesktop.org/releases/dbus-glib"
fpkg_hv ${BRIDGE_UTILS}
fpkg_hv ${UML_UTILITIES}
-fpkg_gnu ${GMP}
fpkg_gnu ${GUILE}
fpkg_sf ${LIBBOOST}
+fpkg ${TRANSMISSION} "http://mirrors.m0k.org/transmission/files"
+
+fpkg_hv ${CKERMIT}
+
+fpkg ${LIBGAMIN} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
+fpkg_sf ${PCMANFM}
+
+fpkg_gnu ${HELP2MAN}
+
+fpkg ${LIBDVDCSS} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
+fpkg ${LIBDVDREAD} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
+
+fpkg ${DOSFSTOOLS} "http://www.daniel-baumann.ch/software/dosfstools"
+
# Return last error
exit $?
#!/bin/sh
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage3"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage3"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage3
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP="/tmp"
init_log_file
-ipkg ${JAVA} cis-java
-ipkg_ac ${ED}
-ipkg ${UML_UTILITIES} cis-uml-utilities
+ipkg_ac ${CPIO}
exit $?
#!/bin/sh
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage3"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage3"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage3
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP=/tmp
ipkg ${UNZIP} cis-unzip
ipkg ${ZIP} cis-zip
+ipkg_ac ${CPIO}
# Installing only CVS client.
ipkg_ac ${CVS_PACKAGE} "--disable-server"
ipkg ${TCL} cis-tcl
ipkg ${TK} cis-tk
-# Python is required by libxml2
+ipkg_ac ${SQLITE}
ipkg_ac ${PYTHON} "--enable-shared"
-# Needed by inkscape
ipkg ${LIBBOOST} cis-boost
if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
ipkg_ac ${CAIRO} "--enable-glitz"
ipkg_ac ${PANGO}
ipkg_ac ${ATK}
- ipkg_ac ${GTK2}
+ ipkg_ac ${GTK2} "--without-libjasper"
ipkg_ac ${GTK_ENGINES}
+ ipkg_ac ${PYGOBJECT}
ipkg_ac ${PYGTK}
ipkg_ac ${LIBSIGCPP}
ipkg_ac ${LIBIDL}
fi
-# Needed by inkscape SVN
-ipkg_ac ${INTLTOOL}
-
-ipkg_ac ${GSL}
-
+ipkg_ac ${INTLTOOL}
+ipkg_ac ${GSL}
ipkg ${CUPS} cis-cups
ipkg ${ESPGS} cis-espgs
if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
ipkg ${LIBUSB} cis-libusb
ipkg_ac ${LIBGPHOTO2}
-
ipkg_ac ${IMAGE_MAGICK} "--with-modules"
-
ipkg_ac ${POPPLER} "--enable-xpdf-headers --enable-zlib"
-
ipkg_ac ${LIBRSVG} "--disable-gtk-doc --disable-mozilla-plugin"
+ ipkg_ac ${BABL}
+ ipkg_ac ${GEGL}
ipkg_ac ${GIMP} "--disable-print"
-
+ ipkg_ac_nb ${GUTENPRINT}
ipkg_ac ${INKSCAPE} "CFLAGS=\"-DPOPPLER_NEW_GFXFONT\""
fi
-ipkg ${FOX} cis-fox
-ipkg ${XFE} cis-xfe
-
ipkg_ac ${BC} "--with-readline"
ipkg ${CDRTOOLS} cis-cdrtools
ipkg ${DVDRWTOOLS} cis-dvd-rw-tools
if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- # TeTeX needs ed.
ipkg_ac ${ED}
ipkg ${TETEX_SRC} cis-tetex
ipkg ${JADETEX} cis-jadetex
- ipkg_ac ${PSTOEDIT}
fi
if [ "x${SANE_SUPPORT}" = "xyes" ]; then
ipkg_ac ${TANGO_ICON_THEME_EXTRAS}
if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- # Sound
+ # Audio
if [ "x${SOUND_CARD}" = "xyes" ]; then
# Needed by some packages, mostly audio applications.
ipkg_ac ${LIBOIL}
# Audio raw utilities
ipkg_ac ${LIBSAMPLERATE}
- ipkg_ac ${TAGLIB}
# Audio file formats
ipkg_ac ${LIBOGG}
# Audio servers
ipkg_ac ${ESOUND}
+ ipkg ${GDBM} cis-gdbm
+ ipkg_ac ${SPEEX}
ipkg ${PULSEAUDIO} cis-pulseaudio
ipkg_ac ${JACK} "--disable-portaudio"
ipkg_ac ${VORBIS_TOOLS}
# Audio applications
- ipkg_ac_nb ${LIBMCS}
- ipkg_ac_nb ${LIBMOWGLI}
- ipkg_ac_nb ${AUDACIOUS} # Depends on mcs and libmowgli
- ipkg_ac_nb ${AUDACIOUS_PLUGINS} "--disable-hotkey"
- ipkg_ac_nb ${GRIP}
+ ipkg_ac_nb ${GRIP} "--disable-id3"
ipkg_ac_nb ${CDRDAO}
- ipkg_ac ${WXGTK} "--enable-unicode"
- ipkg ${AUDACITY} cis-audacity # Depends on portaudio and wxgtk
+ ######ipkg_ac ${WXGTK} "--enable-unicode"
+ #####ipkg ${AUDACITY} cis-audacity # Depends on portaudio and wxgtk
+ ipkg_ac ${SWEEP} "--enable-pulseaudio"
+ ipkg_ac ${EASYTAG}
fi
ipkg_ac ${SYLPHEED} "--enable-ssl --enable-ldap"
ipkg ${OPERA} cis-opera
ipkg ${NSS} cis-nss
-
ipkg ${FIREFOX} cis-firefox
# Plugins for Opera and Firefox
ipkg ${JAVA} cis-java
- ipkg ${FLASH_PLUGIN} cis-flashplugin
+ ######ipkg ${FLASH_PLUGIN} cis-flashplugin
ipkg_ac_nb ${FFMPEG} "--enable-shared --enable-pthreads --enable-swscaler --enable-liba52 \
--enable-gpl --disable-ffplay --enable-libfaac --enable-libfaad \
--enable-libmp3lame"
ipkg ${XVIDCORE} cis-xvidcore
- ipkg_ac ${XINELIB}
- ipkg_ac_nb ${GXINE}
- ipkg ${MPLAYER_CODECS} cis-mplayer-codecs
- ipkg ${MPLAYER} cis-mplayer
fi
-ipkg_ac ${MINICOM}
-
ipkg ${DBUS} cis-dbus
ipkg_ac ${DBUS_GLIB} "--disable-tests --disable-dependency-tracking --disable-xml-docs --disable-doxygen-docs"
ipkg ${HAL} cis-hal
+ipkg_ac ${LIBGAMIN} "--libexecdir=/usr/sbin"
+ipkg_ac ${PCMANFM}
+
# Mail
ipkg ${SASL2} cis-sasl2
ipkg ${OPENLDAP} cis-openldap
# Apache
ipkg ${HTTPD} cis-apache
- # CURL is needed by PHP
ipkg_ac ${CURL}
ipkg ${PHP} cis-php
ipkg ${SQUIRRELMAIL} cis-squirrelmail
-
ipkg ${MAILMAN} cis-mailman
# Subversion server (client was already installed in stage2)
ipkg_ac_nb ${BRIDGE_UTILS}
ipkg ${UML_UTILITIES} cis-uml-utilities
-# Pour lilypond
-ipkg_ac ${GMP} "--enable-cxx --enable-mpbsd ABI=32"
-ipkg ${GUILE} cis-guile
-#ipkg mftrace
+ipkg ${GUILE} cis-guile
+
+ipkg ${CKERMIT} cis-ckermit
+
+# BitTorrent client
+ipkg_ac ${TRANSMISSION} "--disable-daemon"
+
+# For bitbake
+ipkg_ac ${HELP2MAN}
+
+ipkg_ac ${LIBDVDCSS}
+ipkg_ac ${LIBDVDREAD} "--with-libdvdcss"
+
+ipkg ${DOSFSTOOLS} cis-dosfstools
./cis-postinstall
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --with-nss-includes=/usr/include/nss \
- --with-nspr-includes=/usr/include/nspr \
- --with-openldap=yes \
- --with-krb5=/usr &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --with-nss-includes=/usr/include/nss \
- --with-nspr-includes=/usr/include/nspr \
- --with-openldap=yes \
- --with-krb5=/usr &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --localstatedir=/var/lib \
- --infodir=${GNOME2_PREFIX}/share/info \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
-make &&
-make install || exit 1
-
-if [ x"${GNOME2_PREFIX}" != "x/usr" ]; then
- ln -v -sf ${GNOME2_PREFIX}/lib/gtk-2.0/modules \
- /usr/lib/gtk-2.0 || exit 1
-fi
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=${GNOME2_PREFIX} \
- --libexecdir=${GNOME2_PREFIX}/sbin \
- --infodir=${GNOME2_PREFIX}/share/info \
- --localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} \
- --disable-spell &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
#!/bin/sh
-# First argument of this script is the package name
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
# Reading system configuration informations, functions and package versions.
source ../sysinfos
source ../functions
source ../packages-list
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
# Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${PACKAGE} &&
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
+cd ${LFS_TMP}/${PACKAGE}-build &&
+../${PACKAGE}/configure \
--prefix=${GNOME2_PREFIX} \
--libexecdir=${GNOME2_PREFIX}/sbin \
--infodir=${GNOME2_PREFIX}/share/info \
--localstatedir=/var/lib \
- --sysconfdir=/etc/gnome/${GNOME2_VER} &&
+ --sysconfdir=/etc/gnome/${GNOME2_VER} \
+ ${CONFIGURE_OPTS} &&
make &&
make install &&
ldconfig
touch /usr/share/aclocal/dirlist &&
string_add "/opt/${GNOME2_VER}/share/aclocal" /usr/share/aclocal/dirlist &&
+cat > /etc/skel/.gtkrc-2.0 << "EOF" &&
+gtk-icon-theme-name="Tango"
+EOF
+
ldconfig
# Return last error
#!/bin/sh
# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
# Reading system configuration informations, functions and package versions.
source ../sysinfos
source ../functions
source ../packages-list
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
# Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${PACKAGE} &&
-cd ${LFS_TMP}/${1} &&
-./autogen.sh --prefix=/usr &&
+cd ${LFS_TMP}/${PACKAGE}-build &&
+../${PACKAGE}/configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ ${CONFIGURE_OPTS} &&
make &&
-make install &&
+make pkgconfigdir=/usr/lib/pkgconfig install &&
ldconfig
# Return last error
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --docdir=/usr/share/doc/${1} \
- --enable-utf8 &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --disable-static \
- --with-omfdirs=/usr/share/omf:/opt/${GNOME2_VER}/share/omf &&
-make
-make install &&
-ldconfig
-
-# Return last error
-exit $?
+++ /dev/null
-#!/bin/sh
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1} &&
-
-cd ${LFS_TMP}/${1} &&
-sed -i -e 's%\\177:%&kh=\\EOH:@7=\\EOF:%g' termcaps/xterm &&
-cd ${LFS_TMP}/${1}-build &&
-../${1}/configure \
- --prefix=/usr \
- --libexecdir=/usr/sbin \
- --disable-gtk-doc &&
-make &&
-make install &&
-ldconfig
-
-# Return last error
-exit $?
fpkg_gnome ${GNOME_TERMINAL}
fpkg_gnome ${LIBGTOP}
fpkg_gnome ${LIBGNOMEKBD}
-fpkg_gnome ${GAIL}
+fpkg_gnome ${LIBGAIL_GNOME}
fpkg_gnome ${GNOME_APPLETS}
fpkg_gnome ${EEL}
fpkg_gnome ${NAUTILUS}
fpkg_gnome ${GSTREAMER}
fpkg_gnome ${GST_PLUGINS_BASE}
fpkg ${GST_PLUGINS_GOOD} "http://gstreamer.freedesktop.org/src/gst-plugins-good"
+fpkg ${GST_PLUGINS_BAD} "http://gstreamer.freedesktop.org/src/gst-plugins-bad"
fpkg ${GST_PLUGINS_UGLY} "http://gstreamer.freedesktop.org/src/gst-plugins-ugly"
fpkg ${GST_FFMPEG} "http://gstreamer.freedesktop.org/src/gst-ffmpeg"
fpkg_gnome ${GNOME_MEDIA}
fpkg ${LIBNOTIFY} "http://www.galago-project.org/files/releases/source/libnotify"
fpkg ${GNOME_MOUNT} "http://people.freedesktop.org/~david/dist"
+fpkg_gnome ${RHYTHMBOX}
+
fpkg_gnome ${LIBGSF}
fpkg ${PCRE} "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre" # Needed by goffice
fpkg_gnome ${GOFFICE}
#!/bin/sh
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage4"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP=/tmp
#!/bin/sh
-export LFS_PKG_DIR="$(dirname $(dirname $(pwd)))/packages/stage4"
+export LFS_PKG_DIR="$(dirname $(pwd))/packages/stage4"
export LFS_LOG_DIR=/var/log/hvlinux-install/stage4
export LFS_LOG_FILE=${LFS_LOG_DIR}/install.log
export LFS_TMP=/tmp
ipkg_gnome ${GNOME_KEYRING}
ipkg_gnome ${LIBGNOMEUI}
ipkg_ac ${GNOME_THEMES}
-ipkg ${SCROLLKEEPER} cis-scrollkeeper
+ipkg_ac ${SCROLLKEEPER} "--localstatedir=/var --disable-static --with-omfdirs=/usr/share/omf:/opt/${GNOME2_VER}/share/omf"
ipkg_gnome ${GNOME_DOC_UTILS}
ipkg_gnome ${GNOME_DESKTOP}
ipkg_gnome ${GNOME_BACKGROUNDS}
ipkg_ac ${GSTREAMER}
ipkg_ac ${GST_PLUGINS_BASE}
ipkg_ac ${GST_PLUGINS_GOOD}
+ipkg_ac ${GST_PLUGINS_BAD}
ipkg_ac ${GST_PLUGINS_UGLY}
ipkg_ac ${GST_FFMPEG}
-ipkg ${VTE} cis-vte
+ipkg_ac ${VTE} "--libexecdir=/usr/sbin --disable-gtk-doc"
ipkg_gnome ${GNOME_TERMINAL}
ipkg_gnome ${LIBGTOP}
ipkg_gnome ${LIBGNOMEKBD}
-ipkg ${GAIL} cis-gail
+ipkg_gnome ${LIBGAIL_GNOME}
ipkg ${GNOME_APPLETS} cis-gnome-applets
ipkg_gnome ${EEL}
ipkg_gnome ${NAUTILUS}
ipkg_gnome ${LIBGNOMEPRINT}
ipkg_gnome ${LIBGNOMEPRINTUI}
ipkg_gnome ${GTKHTML}
-ipkg ${EVOLUTION_DATA_SERVER} cis-evolution-data-server
+ipkg_gnome ${EVOLUTION_DATA_SERVER} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
ipkg_gnome ${GTKSOURCEVIEW}
ipkg ${SYSTEM_TOOLS_BACKENDS} cis-gnome-nobuild
ipkg ${GNOME_AUDIO} cis-gnome-audio
# Gnome 2 additional packages - Utilities
-ipkg ${GEDIT} cis-gedit
+ipkg_gnome ${GEDIT} "--disable-spell"
ipkg_gnome ${EOG}
ipkg_gnome ${EVINCE}
ipkg_gnome ${GGV} # Gnome Ghostview
ipkg ${LIBMUSICBRAINZ} cis-libmusicbrainz
ipkg_gnome ${GNOME_SOUND_JUICER}
-ipkg_ac ${ISO_CODES}
+ipkg ${ISO_CODES} cis-iso-codes
ipkg_gnome ${GNOME_TOTEM}
ipkg ${GDM} cis-gdm
ipkg_ac ${LIBNOTIFY}
ipkg ${GNOME_MOUNT} cis-gnome-nobuild
-ipkg_ac ${LIBGSF}
-ipkg ${PCRE} cis-pcre
-ipkg ${GOFFICE} cis-ac-nobuild # Depends on libgsf and pcre
-ipkg ${GNUMERIC} cis-gnumeric # Depends on GOffice
-
-ipkg_ac ${WV} # Needed by Abiword
-ipkg_ac ${ABIWORD} "--disable-spellcheck"
-ipkg ${EVOLUTION} cis-evolution
-ipkg ${EVOLUTION_EXCHANGE} cis-evolution-exchange
+ipkg_ac ${RHYTHMBOX} "--disable-python"
+ipkg_ac ${LIBGSF}
+ipkg_ac ${PCRE} "--docdir=/usr/share/doc/pcre --enable-utf8"
+ipkg ${GOFFICE} cis-ac-nobuild
+ipkg ${GNUMERIC} cis-gnumeric
+ipkg_ac ${WV}
+ipkg_ac ${ABIWORD} "--disable-spellcheck"
+ipkg_gnome ${EVOLUTION} "--with-nss-includes=/usr/include/nss --with-nspr-includes=/usr/include/nspr --with-openldap=yes --with-krb5=/usr"
+ipkg_gnome ${EVOLUTION_EXCHANGE}
ipkg_ac ${LIBGPG_ERROR}
ipkg_ac ${LIBGCRYPT}
ipkg_ac ${GNUTLS}